Package org.gradle.api.plugins

## Class ProjectReportsPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.ProjectReportsPluginConvention

-     @Deprecated
      public abstract class ProjectReportsPluginConvention
      extends Object

  Deprecated.
  Please configure the tasks directly. This class is scheduled for removal in Gradle 8.0.
  The conventional configuration for the `ProjectReportsPlugin`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectReportsPluginConvention()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract File` | `getProjectReportDir()` | Deprecated. Returns the directory to generate the project reports into.
    `abstract String` | `getProjectReportDirName()` | Deprecated. The name of the directory to generate the project reports into, relative to the project's reports dir.
    `abstract Set<Project>` | `getProjects()` | Deprecated.
    `abstract void` | `setProjectReportDirName​(String projectReportDirName)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectReportsPluginConvention

          public ProjectReportsPluginConvention()

      Deprecated.

  - ### Method Detail

    - #### getProjectReportDirName

          public abstract String getProjectReportDirName()

      Deprecated.
      The name of the directory to generate the project reports into, relative to the project's reports dir.

    - #### setProjectReportDirName

          public abstract void setProjectReportDirName​(String projectReportDirName)

      Deprecated.

    - #### getProjectReportDir

          public abstract File getProjectReportDir()

      Deprecated.
      Returns the directory to generate the project reports into.

    - #### getProjects

          public abstract Set<Project> getProjects()

      Deprecated.